> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aitasker.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Latest Product Sync



## OpenAPI

````yaml /openapi.json get /api/v1/brands/{brand_id}/products/sync
openapi: 3.1.0
info:
  title: AITasker
  version: 0.1.0
servers: []
security: []
paths:
  /api/v1/brands/{brand_id}/products/sync:
    get:
      tags:
        - Brands
        - Brands
      summary: Get Latest Product Sync
      operationId: get_latest_product_sync_api_v1_brands__brand_id__products_sync_get
      parameters:
        - name: brand_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Brand Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/BrandProductSyncResponse'
                  - type: 'null'
                title: >-
                  Response Get Latest Product Sync Api V1 Brands  Brand Id 
                  Products Sync Get
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    BrandProductSyncResponse:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        brand_id:
          type: string
          format: uuid
          title: Brand Id
        queue_job_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Queue Job Id
        status:
          type: string
          enum:
            - queued
            - crawling
            - extracting
            - persisting
            - succeeded
            - partial
            - failed
          title: Status
        phase:
          anyOf:
            - type: string
            - type: 'null'
          title: Phase
        progress_current:
          type: integer
          title: Progress Current
        progress_total:
          type: integer
          title: Progress Total
        pages_discovered:
          type: integer
          title: Pages Discovered
        pages_crawled:
          type: integer
          title: Pages Crawled
        products_discovered:
          type: integer
          title: Products Discovered
        products_selected:
          type: integer
          title: Products Selected
        products_inserted:
          type: integer
          title: Products Inserted
        products_updated:
          type: integer
          title: Products Updated
        warnings:
          items: {}
          type: array
          title: Warnings
        error_message:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Message
        started_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Started At
        completed_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Completed At
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - brand_id
        - status
        - progress_current
        - progress_total
        - pages_discovered
        - pages_crawled
        - products_discovered
        - products_selected
        - products_inserted
        - products_updated
        - created_at
        - updated_at
      title: BrandProductSyncResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````